<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <div id ="app">

        <button  @click = "click('plus')">+</button>
        <button @click = "click('minus')">-</button>
        <button @click = "click('multi')">*</button>
        <button  @click = "click('divid')">/</button><br>

        <input type="number" v-model ="number1"> 
        {{op}}
        <input type="number" v-model ="number2">
        = 
       
        <template v-if="op ==''">
            <span>{{positive}}</span>
        </template>
        <template v-if="op =='+'">
            <span>{{positive}}</span>
        </template>
        <template v-if="op =='-'">
            <span>{{d}}</span>
        </template>
        <template v-if="op =='*'">
            <span>{{multiply}}</span>
        </template>
        <template v-if="op =='/'">
            <span>{{divide}}</span>
        </template>
       
        
        
       
        
       
    </div>
    <script>
        var app = new Vue({
            el: '#app',
            data:{
                
                number1:0,
                number2:0,
                result:0,
                m:[],
                op:''

            },
            methods: {
                click: function(index){
                   if(index=='plus'){
                       this.op = '+'
                   }
                   if(index=='minus'){
                       this.op = '-'
                   }
                   if(index=='multi'){
                       this.op = '*'
                   }
                   if(index=='divid'){
                       this.op = '/'
                   }
                }
            },
            computed: {
                positive: function(){
                    return parseInt(this.number1)+parseInt(this.number2)
                },
                d: function(){
                    return parseInt(this.number1)-parseInt(this.number2)
                },
                multiply:function(){
                    return parseInt(this.number1)*parseInt(this.number2)
                },
                divide: function(){
                    return parseInt(this.number1)/parseInt(this.number2)
                },
            },
         
        });
    </script>
</body>
</html>